/*Getting Started*/

/*Show me all of the records that had a response code of 46 in the 2005 refile*/

/*FOR EACH control-file WHERE control-file.response-cd = 46 and control-file.refile-yr = 2004 NO-LOCK:
 *     FIND admin WHERE admin.unum = control-file.unum and
 *                      admin.rnum = control-file.rnum NO-LOCK NO-ERROR.
 *     IF AVAILABLE admin THEN DISPLAY admin.unum admin.rnum refile-yr response-cd legal_n.
 *     ELSE DISPLAY "admin not available" control-file.unum control-file.rnum.
 * END.*/



/*Show me all of the records that were in county 15 in 2004-4*/
/*Singles and subunits*/
/*active only*/


/*FOR EACH quarterly WHERE quarterly.county_cd = 15 AND 
 *                          quarterly.yr = 2004      AND
 *                          quarterly.qtr = 4 NO-LOCK:
 *     IF quarterly.meei_cd <> 2 AND quarterly.status_cd = "1" THEN DO:
 *         DISPLAY quarterly.unum 
 *                 quarterly.rnum 
 *                 quarterly.status_cd 
 *                 quarterly.meei_cd 
 *                 quarterly.county_cd 
 *                 quarterly.own.
 *     END.
 * END*/.




/*show me all of the records that have a physical address in Augusta ME*/

/*FOR EACH admin WHERE admin.phys_cty = "AUGUSTA" AND admin.physst = "ME" NO-LOCK:
 *     FIND FIRST quarterly WHERE quarterly.unum = admin.unum AND
 *                                quarterly.rnum = admin.rnum AND
 *                                quarterly.status_cd = "1" NO-LOCK NO-ERROR.
 *     IF NOT AVAILABLE quarterly THEN DISPLAY admin.unum admin.rnum admin.legal_n admin.phys_cty admin.physst.
 *     ELSE DISPLAY quarterly.unum quarterly.rnum.
 * END.*/





/*for each quarterly where status_cd <> '1' or status_cd <> '2' no-lock:
 *     display quarterly.unum quarterly.rnum quarterly.status_cd .
 * end.*/

/*all records that are active in county 1 2004 - 4
 * legal dba employment > 50 for the little ones just display the word "small"
 * */


DEFINE VARIABLE rec-count AS INTEGER LABEL "# OF RECS" NO-UNDO.
DEFINE VARIABLE hold-emp  AS INTEGER NO-UNDO.
DEFINE VARIABLE first-rec AS LOGICAL INITIAL yes NO-UNDO.
DEFINE VARIABLE heading   AS CHARACTER FORMAT "X(30)" NO-UNDO initial "List of Control-File Records".
DEFINE VARIABLE hold-date LIKE admin.init_liab_dte NO-UNDO.

FOR EACH quarterly WHERE quarterly.yr        = 2004 AND
                         quarterly.qtr       = 4    AND
                         quarterly.county_cd = 1    AND
                         quarterly.status_cd = '1' no-lock:
    FIND FIRST control-file WHERE control-file.unum = quarterly.unum AND
                            control-file.rnum = quarterly.rnum NO-LOCK NO-ERROR.

    IF first-rec = yes THEN DO:
        DISPLAY heading TODAY.
        ASSIGN first-rec = no.
    END.
    IF NOT AVAILABLE control-file THEN DO:
        ASSIGN rec-count = rec-count + 1.
    END.
END.
DISPLAY rec-count hold-date heading.




/*    ASSIGN rec-count = rec-count + 1
 *            hold-emp  = hold-emp + quarterly.m3emp.
 *     FIND admin OF quarterly NO-LOCK NO-ERROR.
 *     IF AVAILABLE admin THEN DO:
 *         DISPLAY quarterly.unum quarterly.rnum quarterly.county_cd admin.legal_n rec-count hold-emp. 
 *         IF quarterly.m3emp > 50 THEN DISPLAY quarterly.m3emp.
 *         ELSE                         DISPLAY "SMALL".
 * 
 *     END.
 *     ELSE DISPLAY 'quarterly with no admin' quarterly.unum quarterly.rnum.*/








