DEFINE STREAM outstream.
OUTPUT STREAM outstream TO c:/accum.txt.
FOR EACH quarterly NO-LOCK WHERE quarterly.yr = 2001       and
                                 quarterly.qtr = 1         and
                                 quarterly.meei_cd <> 2    and 
                                 quarterly.status_cd = "1" 
                                 BREAK BY quarterly.own_cd:

    ACCUMULATE quarterly.m1emp   (TOTAL COUNT BY quarterly.own_cd).
    ACCUMULATE quarterly.m2emp   (TOTAL BY quarterly.own_cd).
    ACCUMULATE quarterly.m3emp   (TOTAL BY quarterly.own_cd).
    ACCUMULATE quarterly.tot_wg  (TOTAL BY quarterly.own_cd).    
    ACCUMULATE quarterly.tax_wg  (TOTAL BY quarterly.own_cd).
    ACCUMULATE quarterly.contrib (TOTAL BY quarterly.own_cd).
    
    IF LAST-OF(quarterly.own_cd) THEN DO:
           PUT STREAM outstream 
           quarterly.own_cd space(1)
           (ACCUM COUNT BY quarterly.own_cd quarterly.m1emp) format "zzz,zz9" space(1)
           (ACCUM TOTAL BY quarterly.own_cd quarterly.m1emp) FORMAT "zzz,zzz,zzz,zz9" space(1)
           (ACCUM TOTAL BY quarterly.own_cd quarterly.m2emp) FORMAT '>>>,>>>,>>>,>>9' space(1)
           (ACCUM TOTAL BY quarterly.own_cd quarterly.m3emp) FORMAT '>>>,>>>,>>>,>>9' space(1)
           (ACCUM TOTAL BY quarterly.own_cd quarterly.tot_wg) FORMAT '>>>,>>>,>>>,>>9' space(1)
           (ACCUM TOTAL BY quarterly.own_cd quarterly.tax_wg) FORMAT '>>>,>>>,>>>,>>9' space(1)
           (ACCUM TOTAL BY quarterly.own_cd quarterly.contrib) FORMAT '>>>,>>>,>>>,>>9' 
           SKIP(1).
        
    END.
END.            
