/*Getting Started*/

/*Show me all of the records that had a response code of 46 in the 2005 refile*/

/*FOR EACH control-file WHERE control-file.response-cd = 46 and control-file.refile-yr = 2004 NO-LOCK:
 *     FIND admin WHERE admin.unum = control-file.unum and
 *                      admin.rnum = control-file.rnum NO-LOCK NO-ERROR.
 *     IF AVAILABLE admin THEN DISPLAY admin.unum admin.rnum refile-yr response-cd legal_n.
 *     ELSE DISPLAY "admin not available" control-file.unum control-file.rnum.
 * END.*/



/*Show me all of the records that were in county 15 in 2004-4*/
/*Singles and subunits*/
/*active only*/


/*FOR EACH quarterly WHERE quarterly.county_cd = 15 AND 
 *                          quarterly.yr = 2004      AND
 *                          quarterly.qtr = 4 NO-LOCK:
 *     IF quarterly.meei_cd <> 2 AND quarterly.status_cd = "1" THEN DO:
 *         DISPLAY quarterly.unum 
 *                 quarterly.rnum 
 *                 quarterly.status_cd 
 *                 quarterly.meei_cd 
 *                 quarterly.county_cd 
 *                 quarterly.own.
 *     END.
 * END*/.




/*show me all of the records that have a physical address in Augusta ME*/

/*FOR EACH admin WHERE admin.phys_cty = "AUGUSTA" AND admin.physst = "ME" NO-LOCK:
 *     FIND FIRST quarterly WHERE quarterly.unum = admin.unum AND
 *                                quarterly.rnum = admin.rnum AND
 *                                quarterly.status_cd = "1" NO-LOCK NO-ERROR.
 *     IF NOT AVAILABLE quarterly THEN DISPLAY admin.unum admin.rnum admin.legal_n admin.phys_cty admin.physst.
 *     ELSE DISPLAY quarterly.unum quarterly.rnum.
 * END.*/





/*for each quarterly where status_cd <> '1' or status_cd <> '2' no-lock:
 *     display quarterly.unum quarterly.rnum quarterly.status_cd .
 * end.*/

/*all records that are active in county 1 2004 - 4
 * legal dba employment > 50 for the little ones just display the word "small"
 * */

FOR EACH quarterly WHERE quarterly.yr        = 2004 AND
                         quarterly.qtr       = 4    AND
                         quarterly.county_cd = 1    AND
                         quarterly.status_cd = '1' no-lock:
    FIND admin OF quarterly NO-LOCK NO-ERROR.
    IF AVAILABLE admin THEN DO:
        DISPLAY quarterly.unum quarterly.rnum quarterly.county_cd admin.legal_n. 
        IF quarterly.m3emp > 50 THEN DISPLAY quarterly.m3emp.
        ELSE                         DISPLAY "SMALL".

    END.
    ELSE DISPLAY 'quarterly with no admin' quarterly.unum quarterly.rnum.
END.
















