DEFINE STREAM rep-stream.
OUTPUT STREAM rep-stream TO emp-wage-2003-4.txt.

DEFINE VARIABLE unit AS INTEGER FORMAT ">>>,>>9" NO-UNDO LABEL "UNITS".
DEFINE VARIABLE emp1 AS INTEGER FORMAT ">>>,>>9" NO-UNDO LABEL "OCTOBER".
DEFINE VARIABLE emp2 AS INTEGER FORMAT ">>>,>>9" NO-UNDO LABEL "NOVEMBER".
DEFINE VARIABLE emp3 AS INTEGER FORMAT ">>>,>>9" NO-UNDO LABEL "DECEMBER".
DEFINE VARIABLE totw AS DECIMAL FORMAT "$>>>,>>>,>>>,>>9" NO-UNDO LABEL "FOURTH QTR WAGES".

FOR EACH quarterly WHERE quarterly.yr = 2003       AND
                         quarterly.qtr = 4         AND
                         quarterly.county_cd = 011 AND
                         quarterly.meei_cd <> 2    AND
                         quarterly.status_cd = '1' NO-LOCK:
    ASSIGN unit = unit + 1
           emp1 = emp1 + quarterly.m1emp
           emp2 = emp2 + quarterly.m2emp
           emp3 = emp3 + quarterly.m3emp
           totw = totw + quarterly.tot_wg.

EXPORT STREAM rep-stream DELIMITER ";" unit emp1 emp2 emp3 totw.

END.
